package com.chenyang.nse.bussiness.entity.orm.table.console;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CONSOLE_OPERATIONRECORD"
)
public class TConsoleOperationrecord extends TBaseEntity {
   private String userid;
   private String operationmenu;
   private String operationsubmenu;
   private Date operationtime;
   private String operationresource;
   private String operationurl;
   private String operationaddr;
   private String username;

   public TConsoleOperationrecord() {
   }

   public TConsoleOperationrecord(String userid, String operationmenu, String operationsubmenu, Date operationtime, String operationresource, String operationurl, String operationaddr, String username) {
      this.userid = userid;
      this.operationmenu = operationmenu;
      this.operationsubmenu = operationsubmenu;
      this.operationtime = operationtime;
      this.operationresource = operationresource;
      this.operationurl = operationurl;
      this.operationaddr = operationaddr;
      this.username = username;
   }

   public String getUserid() {
      return this.userid;
   }

   public void setUserid(String userid) {
      this.userid = userid;
   }

   public String getOperationmenu() {
      return this.operationmenu;
   }

   public void setOperationmenu(String operationmenu) {
      this.operationmenu = operationmenu;
   }

   public String getOperationsubmenu() {
      return this.operationsubmenu;
   }

   public void setOperationsubmenu(String operationsubmenu) {
      this.operationsubmenu = operationsubmenu;
   }

   public Date getOperationtime() {
      return this.operationtime;
   }

   public void setOperationtime(Date operationtime) {
      this.operationtime = operationtime;
   }

   public String getOperationresource() {
      return this.operationresource;
   }

   public void setOperationresource(String operationresource) {
      this.operationresource = operationresource;
   }

   public String getOperationurl() {
      return this.operationurl;
   }

   public void setOperationurl(String operationurl) {
      this.operationurl = operationurl;
   }

   public String getOperationaddr() {
      return this.operationaddr;
   }

   public void setOperationaddr(String operationaddr) {
      this.operationaddr = operationaddr;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String toString() {
      return "TConsoleOperationrecord [userid=" + this.userid + ", operationmenu=" + this.operationmenu + ", operationsubmenu=" + this.operationsubmenu + ", operationtime=" + this.operationtime + ", operationresource=" + this.operationresource + ", operationurl=" + this.operationurl + ", operationaddr=" + this.operationaddr + ", username=" + this.username + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.operationaddr == null ? 0 : this.operationaddr.hashCode());
      result = 31 * result + (this.operationmenu == null ? 0 : this.operationmenu.hashCode());
      result = 31 * result + (this.operationresource == null ? 0 : this.operationresource.hashCode());
      result = 31 * result + (this.operationsubmenu == null ? 0 : this.operationsubmenu.hashCode());
      result = 31 * result + (this.operationtime == null ? 0 : this.operationtime.hashCode());
      result = 31 * result + (this.operationurl == null ? 0 : this.operationurl.hashCode());
      result = 31 * result + (this.userid == null ? 0 : this.userid.hashCode());
      result = 31 * result + (this.username == null ? 0 : this.username.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TConsoleOperationrecord other = (TConsoleOperationrecord)obj;
         if (this.operationaddr == null) {
            if (other.operationaddr != null) {
               return false;
            }
         } else if (!this.operationaddr.equals(other.operationaddr)) {
            return false;
         }

         if (this.operationmenu == null) {
            if (other.operationmenu != null) {
               return false;
            }
         } else if (!this.operationmenu.equals(other.operationmenu)) {
            return false;
         }

         if (this.operationresource == null) {
            if (other.operationresource != null) {
               return false;
            }
         } else if (!this.operationresource.equals(other.operationresource)) {
            return false;
         }

         if (this.operationsubmenu == null) {
            if (other.operationsubmenu != null) {
               return false;
            }
         } else if (!this.operationsubmenu.equals(other.operationsubmenu)) {
            return false;
         }

         if (this.operationtime == null) {
            if (other.operationtime != null) {
               return false;
            }
         } else if (!this.operationtime.equals(other.operationtime)) {
            return false;
         }

         if (this.operationurl == null) {
            if (other.operationurl != null) {
               return false;
            }
         } else if (!this.operationurl.equals(other.operationurl)) {
            return false;
         }

         if (this.userid == null) {
            if (other.userid != null) {
               return false;
            }
         } else if (!this.userid.equals(other.userid)) {
            return false;
         }

         if (this.username == null) {
            if (other.username != null) {
               return false;
            }
         } else if (!this.username.equals(other.username)) {
            return false;
         }

         return true;
      }
   }
}
